## org.hibernate.event.def
Class EvictVisitor

    java.lang.Object
      org.hibernate.event.def.AbstractVisitor
          org.hibernate.event.def.EvictVisitor

    public class EvictVisitor

extends AbstractVisitor

Evict any collections referenced by the object from the session cache. This will NOT pick up any collections that were dereferenced, so they will be deleted (suboptimal but not exactly incorrect).

Author:
  Gavin King

Method Summary
`void` `evictCollection(Object value, CollectionType type)`

Methods inherited from class org.hibernate.event.def.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evictCollection

    public void evictCollection(Object value,
                                CollectionType type)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.